Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

## Package org.apache.jmeter.protocol.tcp.sampler

Interface Summary
TCPClient | Interface required by TCPSampler for TCPClient implementations.

Class Summary
AbstractTCPClient | Basic implementation of TCPClient interface.
BinaryTCPClientImpl | TCPClient implementation.
LengthPrefixedBinaryTCPClientImpl | Implements binary length-prefixed binary data.
TCPClientDecorator |
TCPClientImpl | Sample TCPClient implementation.
TCPSampler | A sampler which understands Tcp requests.

Exception Summary
ReadException | Exception that contains partial response (Text read until exception occured)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Apache JMeter
PREV PACKAGE NEXT PACKAGE | FRAMES NO FRAMES

Copyright © 1998-2012 Apache Software Foundation. All Rights Reserved.